Page MenuHomePhabricator

Add map widget for coordinate selection
Open, LowPublic

Description

UploadWizard contains a coordinate field, but leaves it to the user to figure out the coordinates. A map widget where they can just click at the right point would make the task of adding a location much easier.

This map could also be used to suggest coordinates, especially in image contests which use a fixed set of locations (and uploaders arrive through a campaign link) - in such cases the available locations could be shown on the map, along with their descriptions, and the user could be forced to choose one of them.

(This is a potential OPW project: https://www.mediawiki.org/wiki/Outreach_Program_for_Women/Round_7#UploadWizard:_OSM_map_embedding )


Version: unspecified
Severity: enhancement

Details

Reference
bz56612

Event Timeline

bzimport raised the priority of this task from to Low.
bzimport set Reference to bz56612.
Tgr created this task.Nov 5 2013, 9:43 AM

Change 94587 had a related patch set uploaded by Nemo bis:
OPW Microtask:adding button to show osm map

https://gerrit.wikimedia.org/r/94587

Change 94587 merged by jenkins-bot:
Introducing a button to show coordinates in OSM

https://gerrit.wikimedia.org/r/94587

Patch was merged a while ago - is there more work left to do here (if yes: please reset the bug report status to NEW or ASSIGNED), or can you close this ticket as RESOLVED FIXED?

Change 107892 had a related patch set uploaded by Gergő Tisza:
Embedding Static Map to UploadWizard

https://gerrit.wikimedia.org/r/107892

Change 109063 had a related patch set uploaded by Gergő Tisza:
Adding Leaflet scripts to UploadWizard

https://gerrit.wikimedia.org/r/109063

Change 109263 had a related patch set uploaded by Gergő Tisza:
Embedding leaflet maps based on OSM data to UploadWizard

https://gerrit.wikimedia.org/r/109263

Change 116127 had a related patch set uploaded by Inchikutty:
Embedding Static Map to UploadWizard

https://gerrit.wikimedia.org/r/116127

Change 116128 had a related patch set uploaded by Inchikutty:
Adding Leaflet scripts to UploadWizard

https://gerrit.wikimedia.org/r/116128

Change 116129 had a related patch set uploaded by Inchikutty:
Embedding leaflet maps based on OSM data to UploadWizard

https://gerrit.wikimedia.org/r/116129

Change 116127 merged by jenkins-bot:
Embedding Static Map to UploadWizard

https://gerrit.wikimedia.org/r/116127

Change 109063 abandoned by Gergő Tisza:
Adding Leaflet scripts to UploadWizard

Reason:
Abandoned, development will continue on a branch:
https://gerrit.wikimedia.org/r/#/c/116128/

https://gerrit.wikimedia.org/r/109063

Change 107892 abandoned by Gergő Tisza:
Embedding Static Map to UploadWizard

https://gerrit.wikimedia.org/r/107892

Change 116128 merged by jenkins-bot:
Adding Leaflet scripts to UploadWizard

https://gerrit.wikimedia.org/r/116128

Change 116130 had a related patch set uploaded by Nemo bis:
UploadWizard: OSM embedding: Geocoding, reverse geocoding

https://gerrit.wikimedia.org/r/116130

Change 116129 merged by jenkins-bot:
Embedding leaflet maps based on OSM data to UploadWizard

https://gerrit.wikimedia.org/r/116129

Change 109263 abandoned by Inchikutty:
Embedding leaflet maps based on OSM data to UploadWizard

Reason:
Abandoning,as further development is done on a branch:
https://gerrit.wikimedia.org/r/#/c/116129/

https://gerrit.wikimedia.org/r/109263

Change 116130 merged by jenkins-bot:
UploadWizard: OSM embedding: Geocoding, reverse geocoding

https://gerrit.wikimedia.org/r/116130

Change 118978 had a related patch set uploaded by Inchikutty:
Improving zoom of embedded map, on address search[WIP]

https://gerrit.wikimedia.org/r/118978

Change 118978 merged by jenkins-bot:
Improving zoom of embedded map, on address search

https://gerrit.wikimedia.org/r/118978

Change 141920 had a related patch set uploaded by Inchikutty:
Embedding Static Map to UploadWizard

https://gerrit.wikimedia.org/r/141920

Change 141979 had a related patch set uploaded by Inchikutty:
Adds leaflet scripts to UploadWizard

https://gerrit.wikimedia.org/r/141979

Change 141987 had a related patch set uploaded by Inchikutty:
Embeds leaflet map based on OSM data to UploadWizard

https://gerrit.wikimedia.org/r/141987

Change 142301 had a related patch set uploaded by Inchikutty:
UploadWizard: OSM embedding: Geocoding, reverse geocoding

https://gerrit.wikimedia.org/r/142301

Status here: 4 patches by Anu/Inchikutty still awaiting review...

Change 144324 had a related patch set uploaded by Inchikutty:
Adds OSM parameter to coordinate template

https://gerrit.wikimedia.org/r/144324

Change 155511 had a related patch set uploaded by Inchikutty:
[WIP]Add unit tests to mw.GeoMap.js and some fixes

https://gerrit.wikimedia.org/r/155511

Change 184869 had a related patch set uploaded (by Inchikutty):
[WIP] Embedding Static Map to UploadWizard

https://gerrit.wikimedia.org/r/184869

Patch-For-Review

Jdforrester-WMF moved this task from Untriaged to Backlog on the Multimedia board.Sep 4 2015, 6:12 PM
Restricted Application added subscribers: Steinsplitter, Matanya. · View Herald TranscriptSep 4 2015, 6:12 PM

The patches by Anu/Inchikutty are still awaiting review and are the oldest unreviewed patches for UploadWiazrd.

Are there plans to move this forward? Could the Discovery /Maps provide input on / review of these patches and the approach?

Tgr added a comment.Oct 2 2015, 6:46 PM

I plan to review it once the map service is enabled on Commons. Legal issues around using an external service were probably the most problematic part of the project.

Change 184869 abandoned by MarkTraceur:
[WIP] Embedding Static Map to UploadWizard

Reason:
These are going away for now, revive these if someone is available to work on them (or if you decide to rebuild them from scratch, that's cool too)

https://gerrit.wikimedia.org/r/184869

EBernhardson moved this task from Needs triage to Maps on the Discovery board.Feb 11 2016, 11:26 PM
In T58612#1698124, @Tgr wrote:

I plan to review it once the map service is enabled on Commons.

@Tgr: That time has come, it seems. :)

jeremyb claimed this task.Oct 18 2016, 4:32 AM
jeremyb added a subscriber: Inchikutty.
Yurik added a comment.EditedOct 18 2016, 5:58 AM

The patch should be implemented using Kartographer API
Update: I meant that we have recently launched the Kartographer API, and the pending patch should be updated to take advantage of that. We must not embed resources from external sites such as staticmap.openstreetmap.de into production code.

Yurik set Security to None.
Nikki added a subscriber: Nikki.Nov 6 2016, 10:07 PM
MaxSem added a subscriber: Bmueller.Jan 5 2017, 7:02 PM